#ifndef KEYBOARD_WINDOW_H
#define KEYBOARD_WINDOW_H

#include "juce.h"
#include "LayoutComponent.h"

class KeyboardWindow  : public DocumentWindow {
public:
    KeyboardWindow()
        : DocumentWindow (T("Keyboard Layout"),
                          Colours::lightgrey, 
                          DocumentWindow::allButtons, 
						  true)
    {
		layoutcomponent = new LayoutComponent ();
		int w,h;
		w = layoutcomponent->getWidth();
		h = layoutcomponent->getHeight();
		centreWithSize (w,h);
		setContentComponent (layoutcomponent);
	}

    ~KeyboardWindow() { }

	void closeButtonPressed() { setVisible (false); }

private:
	LayoutComponent *layoutcomponent;
};
#endif