#ifndef __JUCER_HEADER_SCREENCOMPONENT_H
#define __JUCER_HEADER_SCREENCOMPONENT_H

#include "juce.h"
#include "Spectrum.h"

class ScreenComponent  : public Component {
public:
    ScreenComponent (Spectrum *aspectrum);
    ~ScreenComponent();

    void paint (Graphics& g);
    void resized();

    juce_UseDebuggingNewOperator

private:
	Spectrum *spectrum;

	void keyStateChanged ();
	void keyPressed (const KeyPress &key);
	void modifierKeysChanged (const ModifierKeys &modifiers);

    ScreenComponent (const ScreenComponent&);
    const ScreenComponent& operator= (const ScreenComponent&);
};


#endif 
