#include "juce.h"
#include "SpectrumWindow.h"
#include "SpectrumApplication.h"
#include "SpectrumComponent.h"

SpectrumWindow::SpectrumWindow(SpectrumApplication *application)
        : DocumentWindow (T("Juce Spectrum"), Colours::lightgrey, DocumentWindow::allButtons, true),
						  spectrumcomponent(0) {
		spectrumcomponent = new SpectrumComponent(application);
        setVisible (true);
        centreWithSize (294, 332);
		setContentComponent (spectrumcomponent);
    }

SpectrumWindow::~SpectrumWindow() { }

void SpectrumWindow::ForceRepaint() { 
	if (spectrumcomponent) spectrumcomponent->ForceRepaint(); 
}

void SpectrumWindow::closeButtonPressed() {
        JUCEApplication::quit();
}
