#include "LayoutComponent.h"

LayoutComponent::LayoutComponent ()
    : Component (T("LayoutComponent")), image (0) 
{
	File aFile = File::getCurrentWorkingDirectory();
	String s;
	s = aFile.getFullPathName() + String ("/speckey.png");
		
	image = ImageCache::getFromFile (File (s));
	if (image) centreWithSize (image->getWidth(), image->getHeight()+28);
}

LayoutComponent::~LayoutComponent() {
	if (image) ImageCache::release(image);
}

void LayoutComponent::paint (Graphics& g) {
    g.fillAll (Colours::white);
	if (image) g.drawImageAt(image,0,0);
}

void LayoutComponent::resized() { }
